library verilog;
use verilog.vl_types.all;
entity xst_vlog_bl2cl2_iobs_0 is
    port(
        clk             : in     vl_logic;
        clk90           : in     vl_logic;
        ddr_rasb_cntrl  : in     vl_logic;
        ddr_casb_cntrl  : in     vl_logic;
        ddr_web_cntrl   : in     vl_logic;
        ddr_cke_cntrl   : in     vl_logic;
        ddr_csb_cntrl   : in     vl_logic;
        ddr_address_cntrl: in     vl_logic_vector(12 downto 0);
        ddr_ba_cntrl    : in     vl_logic_vector(1 downto 0);
        rst_dqs_div_int : in     vl_logic;
        dqs_reset       : in     vl_logic;
        dqs_enable      : in     vl_logic;
        ddr_dqs         : inout  vl_logic_vector(1 downto 0);
        ddr_dq          : inout  vl_logic_vector(15 downto 0);
        write_data_falling: in     vl_logic_vector(15 downto 0);
        write_data_rising: in     vl_logic_vector(15 downto 0);
        write_en_val    : in     vl_logic;
        write_en_val1   : in     vl_logic;
        reset90_r       : in     vl_logic;
        data_mask_f     : in     vl_logic_vector(1 downto 0);
        data_mask_r     : in     vl_logic_vector(1 downto 0);
        DDR_CK          : out    vl_logic_vector(0 downto 0);
        DDR_CK_N        : out    vl_logic_vector(0 downto 0);
        ddr_rasb        : out    vl_logic;
        ddr_casb        : out    vl_logic;
        ddr_web         : out    vl_logic;
        ddr_ba          : out    vl_logic_vector(1 downto 0);
        ddr_address     : out    vl_logic_vector(12 downto 0);
        ddr_cke         : out    vl_logic;
        ddr_csb         : out    vl_logic;
        rst_dqs_div     : out    vl_logic;
        rst_dqs_div_in  : in     vl_logic;
        rst_dqs_div_out : out    vl_logic;
        dqs_int_delay_in0: out    vl_logic;
        dqs_int_delay_in1: out    vl_logic;
        ddr_dm          : out    vl_logic_vector(1 downto 0);
        dq              : out    vl_logic_vector(15 downto 0)
    );
end xst_vlog_bl2cl2_iobs_0;
