library verilog;
use verilog.vl_types.all;
entity xst_vlog_bl2cl2_top_0 is
    port(
        clk_int         : in     vl_logic;
        clk90_int       : in     vl_logic;
        delay_sel_val   : in     vl_logic_vector(4 downto 0);
        sys_rst90_val   : in     vl_logic;
        sys_rst180_val  : in     vl_logic;
        sys_rst270_val  : in     vl_logic;
        rst_dqs_div_in  : in     vl_logic;
        rst_dqs_div_out : out    vl_logic;
        user_input_data : in     vl_logic_vector(31 downto 0);
        user_output_data: out    vl_logic_vector(31 downto 0);
        user_data_valid : out    vl_logic;
        user_input_address: in     vl_logic_vector(25 downto 0);
        user_config_register: in     vl_logic_vector(9 downto 0);
        user_command_register: in     vl_logic_vector(2 downto 0);
        user_cmd_ack    : out    vl_logic;
        burst_done      : in     vl_logic;
        init_val        : out    vl_logic;
        ar_done         : out    vl_logic;
        DDR_DQS         : inout  vl_logic_vector(1 downto 0);
        DDR_DQ          : inout  vl_logic_vector(15 downto 0);
        DDR_CKE         : out    vl_logic;
        DDR_CS_N        : out    vl_logic;
        DDR_RAS_N       : out    vl_logic;
        DDR_CAS_N       : out    vl_logic;
        DDR_WE_N        : out    vl_logic;
        DDR_DM          : out    vl_logic_vector(1 downto 0);
        user_data_mask  : in     vl_logic_vector(3 downto 0);
        DDR_BA          : out    vl_logic_vector(1 downto 0);
        DDR_A           : out    vl_logic_vector(12 downto 0);
        auto_ref_req    : out    vl_logic;
        wait_200us      : in     vl_logic;
        DDR_CK          : out    vl_logic_vector(0 downto 0);
        DDR_CK_N        : out    vl_logic_vector(0 downto 0);
        sys_rst_val     : in     vl_logic
    );
end xst_vlog_bl2cl2_top_0;
