library verilog;
use verilog.vl_types.all;
entity ddraut is
    port(
        A               : out    vl_logic_vector(12 downto 0);
        DQ              : inout  vl_logic_vector(15 downto 0);
        BA              : out    vl_logic_vector(1 downto 0);
        RAS             : out    vl_logic;
        CAS             : out    vl_logic;
        WE              : out    vl_logic;
        UQM             : out    vl_logic;
        LQM             : out    vl_logic;
        UDQS            : inout  vl_logic;
        LDQS            : inout  vl_logic;
        CS              : out    vl_logic;
        CKE             : out    vl_logic;
        SYSCLK          : in     vl_logic;
        DDRCLK          : out    vl_logic;
        ADDR            : in     vl_logic_vector(23 downto 0);
        DATAIN          : in     vl_logic_vector(31 downto 0);
        DATAOUT         : out    vl_logic_vector(31 downto 0);
        W               : in     vl_logic;
        READY           : out    vl_logic;
        STR             : in     vl_logic
    );
end ddraut;
