library verilog;
use verilog.vl_types.all;
entity xst_vlog_bl2cl2_cmd_fsm_0 is
    generic(
        rst_state       : integer := 0;
        init_start      : integer := 1;
        init            : integer := 2;
        wr              : integer := 3;
        rlfsr           : integer := 4;
        dly             : integer := 5;
        auto_ref_start  : integer := 6;
        auto_ref        : integer := 7;
        rd              : integer := 8;
        wait_state      : integer := 9;
        load_mode_wr    : integer := 10;
        lmd_wait_state  : integer := 11
    );
    port(
        clk             : in     vl_logic;
        clk90           : in     vl_logic;
        rst             : in     vl_logic;
        rst180          : in     vl_logic;
        rst90           : in     vl_logic;
        cmd_ack         : in     vl_logic;
        cnt_roll        : in     vl_logic;
        r_w             : out    vl_logic;
        refresh_done    : in     vl_logic;
        init_val        : in     vl_logic;
        u_data_val      : in     vl_logic;
        addr_inc        : out    vl_logic;
        addr_rst        : out    vl_logic;
        u_cmd           : out    vl_logic_vector(2 downto 0);
        init_counter    : out    vl_logic_vector(6 downto 0);
        lfsr_rst        : out    vl_logic
    );
end xst_vlog_bl2cl2_cmd_fsm_0;
