library verilog;
use verilog.vl_types.all;
entity xst_vlog_bl2cl2_data_path_0 is
    port(
        user_input_data : in     vl_logic_vector(31 downto 0);
        user_data_mask  : in     vl_logic_vector(3 downto 0);
        clk             : in     vl_logic;
        clk90           : in     vl_logic;
        reset           : in     vl_logic;
        reset90         : in     vl_logic;
        reset180        : in     vl_logic;
        reset270        : in     vl_logic;
        write_enable    : in     vl_logic;
        rst_dqs_div_in  : in     vl_logic;
        delay_sel       : in     vl_logic_vector(4 downto 0);
        dqs_int_delay_in0: in     vl_logic;
        dqs_int_delay_in1: in     vl_logic;
        dq              : in     vl_logic_vector(15 downto 0);
        u_data_val      : out    vl_logic;
        user_output_data: out    vl_logic_vector(31 downto 0);
        write_en_val    : out    vl_logic;
        reset90_r_val   : out    vl_logic;
        data_mask_f     : out    vl_logic_vector(1 downto 0);
        data_mask_r     : out    vl_logic_vector(1 downto 0);
        write_data_falling: out    vl_logic_vector(15 downto 0);
        write_data_rising: out    vl_logic_vector(15 downto 0)
    );
end xst_vlog_bl2cl2_data_path_0;
