library verilog;
use verilog.vl_types.all;
entity xst_vlog_bl2cl2_data_read_controller_0 is
    port(
        clk90           : in     vl_logic;
        reset_r         : in     vl_logic;
        reset90_r       : in     vl_logic;
        rst_dqs_div_in  : in     vl_logic;
        delay_sel       : in     vl_logic_vector(4 downto 0);
        dqs_int_delay_in0: in     vl_logic;
        dqs_int_delay_in1: in     vl_logic;
        fifo_00_wr_en_val: out    vl_logic;
        fifo_01_wr_en_val: out    vl_logic;
        fifo_10_wr_en_val: out    vl_logic;
        fifo_11_wr_en_val: out    vl_logic;
        fifo_00_wr_addr_val: out    vl_logic_vector(3 downto 0);
        fifo_01_wr_addr_val: out    vl_logic_vector(3 downto 0);
        fifo_10_wr_addr_val: out    vl_logic_vector(3 downto 0);
        fifo_11_wr_addr_val: out    vl_logic_vector(3 downto 0);
        dqs0_delayed_col0_val: out    vl_logic;
        dqs0_delayed_col1_val: out    vl_logic;
        dqs1_delayed_col0_val: out    vl_logic;
        dqs1_delayed_col1_val: out    vl_logic;
        fifo0_rd_addr   : in     vl_logic_vector(3 downto 0);
        fifo1_rd_addr   : in     vl_logic_vector(3 downto 0);
        u_data_val      : out    vl_logic;
        read_valid_data_1_val: out    vl_logic
    );
end xst_vlog_bl2cl2_data_read_controller_0;
