`timescale 1ns / 1ps

module test();

reg C, CE, D, R, S;
wire Q1,Q2;

initial 
begin
#100
C=0;
CE=1;
D=0;
R=0;
S=0;

#10
C=1;
#10
D=1;
#10
C=0;
#10
D=0;

#10
C=1;
#10
D=1;
#10
C=0;
#10
D=0;

#10
C=1;
#10
D=0;
#10
C=0;
#10
D=1;

#10
C=1;
#10
D=1;
#10
C=0;
#10
D=1;

#10
C=1;
#10
D=0;
#10
C=0;
#10
D=0;

#10
C=1;
#10
D=0;
#10
C=0;
#10
D=0;

#10
C=1;
#10
D=1;
#10
C=0;
#10
D=1;

#10
C=1;
#10
D=1;
#10
C=0;
#10
D=0;

#10
C=1;
#10
D=0;
#10
C=0;
#10
D=1;

#10
C=1;
#10
D=0;
#10
C=0;
#10
D=1;

#10
C=1;
#10
D=0;
#10
C=0;
#10
D=1;

#10
C=1;
#10
D=0;
#10
C=0;
#10
D=0;

end

IDDR i1(Q1, Q2, C, CE, D, R, S);
defparam i1.DDR_CLK_EDGE = "SAME_EDGE_PIPELINED";
defparam i1.INIT_Q1 = 1'h0;
defparam i1.INIT_Q2 = 1'h0;
defparam i1.SRTYPE = "SYNC";


endmodule
