`timescale  1 ns / 1 ps

module test1();

wire [15:0] DOA;
wire [15:0] DOB;
wire [1:0] DOPA;
wire [1:0] DOPB;

reg [9:0] ADDRA;
reg [9:0] ADDRB;
reg ENB, CLKB, WEB, SSRB;
reg ENA, CLKA, WEA, SSRA;
reg [15:0] DIA;
reg [1:0] DIPA;
reg [15:0] DIB;
reg [1:0] DIPB;


initial 
begin
#200
ADDRA=10'h0;
ADDRB=10'h0;
DIA=16'h0;
DIB=16'h0;
DIPA=2'h0;
DIPB=2'h0;
ENB=1;
CLKB=0;
WEB=0;
SSRB=1;
ENA=1;
CLKA=0;
WEA=0;
SSRA=1;
#10
WEA=1;
DIA=16'hEA23;
ADDRA=10'h56;
#10
CLKA=1;
#10
CLKA=0;
WEA=0;

#100
SSRA=0;
#10
CLKA=1;
#10
CLKA=0;
#10
ADDRA=10'h58;
#10
CLKA=1;
#10
CLKA=0;
#10
ADDRA=10'h18;
#10
CLKA=1;
#10
CLKA=0;
#10
SSRA=1;

#10
WEB=1;
DIB=16'h5678;
ADDRB=10'h46;
#10
CLKB=1;
#10
CLKB=0;
WEB=0;

#100
SSRB=0;
SSRA=0;
ADDRB=10'h49;
#10
CLKA=1;
CLKB=1;
#10
CLKA=0;
CLKB=0;
#10
ADDRB=10'h56;
#10
CLKA=1;
CLKB=1;
#10
CLKA=0;
CLKB=0;
#10
ADDRA=10'h46;
#10
CLKA=1;
CLKB=1;
#10
CLKA=0;
CLKB=0;

//egyszerre iras
#100
SSRB=1;
SSRA=1;
#10
WEB=1;
WEA=1;
DIB=16'h5678;
DIA=16'h4321;
ADDRB=10'h46;
ADDRA=10'h46;
#10
CLKB=1;
CLKA=1;
#10
CLKB=0;
CLKA=0;
WEB=0;
WEA=0;
#10
SSRB=0;
SSRA=0;
#10
CLKB=1;
CLKA=1;
#10
CLKB=0;
CLKA=0;

end

RAMB16_S18_S18 ram1(DOA, DOB, DOPA, DOPB, ADDRA, ADDRB, CLKA, CLKB, DIA, DIB, DIPA, DIPB, ENA, ENB, SSRA, SSRB, WEA, WEB);
//defparam ram1.


endmodule
