`timescale  1 ns / 1 ps

module test1();

wire [17:0] BCOUT1; 
wire [17:0] BCOUT2; 
wire [17:0] BCOUT3; 
wire [17:0] BCOUT4; 
wire [35:0] P1; 
wire [35:0] P2; 
wire [35:0] P3; 
wire [35:0] P4; 
reg [17:0] A;
reg [17:0] B;
reg [17:0] C;
reg [17:0] D;
reg [17:0] E;
reg [17:0] BCIN;
reg CEA;
reg CEB;
reg CEP;
reg CLK;
reg RSTA;
reg RSTB;
reg RSTP;

initial 
begin
#200
A=18'h0;
B=18'h0;
C=18'h0;
D=18'h0;
E=18'h0;
BCIN=18'h0;
CEA=1;
CEB=1;
CEP=1;
CLK=0;
RSTA=0;
RSTB=0;
RSTP=0;

#50
A=18'h6;
B=18'h2;
C=18'h8;
D=18'h1;
E=18'h3;
#10
CLK=1;
#10
CLK=0;
#10
CLK=1;
#10
CLK=0;
#10
CLK=1;
#10
CLK=0;
end

MULT18X18SIO mul1(BCOUT1, P1, A, B, BCOUT2, CEA, CEB, CEP, CLK, RSTA, RSTB, RSTP);
MULT18X18SIO mul2(BCOUT2, P2, B, B, BCOUT3, CEA, CEB, CEP, CLK, RSTA, RSTB, RSTP);
MULT18X18SIO mul3(BCOUT3, P3, C, B, BCOUT4, CEA, CEB, CEP, CLK, RSTA, RSTB, RSTP);
MULT18X18SIO mul4(BCOUT4, P4, D, E, BCIN,   CEA, CEB, CEP, CLK, RSTA, RSTB, RSTP);
defparam mul1.BREG=0;
defparam mul2.BREG=0;
defparam mul3.BREG=0;
defparam mul1.B_INPUT="CASCADE";
defparam mul2.B_INPUT="CASCADE";
defparam mul3.B_INPUT="CASCADE";


endmodule
