library verilog;
use verilog.vl_types.all;
entity MT46V32M16TG6T is
    generic(
        tCK             : real    := 6.000000;
        tDQSQ           : real    := 0.400000;
        tMRD            : real    := 12.000000;
        tRAP            : real    := 15.000000;
        tRAS            : real    := 42.000000;
        tRC             : real    := 60.000000;
        tRFC            : real    := 72.000000;
        tRCD            : real    := 15.000000;
        tRP             : real    := 15.000000;
        tRRD            : real    := 12.000000;
        tWR             : real    := 15.000000;
        ADDR_BITS       : integer := 13;
        DQ_BITS         : integer := 16;
        DQS_BITS        : integer := 2;
        DM_BITS         : integer := 2;
        COL_BITS        : integer := 10;
        full_mem_bits   : integer := 25;
        part_mem_bits   : integer := 10;
        no_halt         : integer := 1;
        Debug           : integer := 1
    );
    port(
        Dq              : inout  vl_logic_vector;
        Dqs             : inout  vl_logic_vector;
        Addr            : in     vl_logic_vector;
        Ba              : in     vl_logic_vector(1 downto 0);
        Clk             : in     vl_logic;
        Clk_n           : in     vl_logic;
        Cke             : in     vl_logic;
        Cs_n            : in     vl_logic;
        Ras_n           : in     vl_logic;
        Cas_n           : in     vl_logic;
        We_n            : in     vl_logic;
        Dm              : in     vl_logic_vector
    );
end MT46V32M16TG6T;
